Subject: [Sip] Unsubsccri

From: "Shivaprasad Shivarudrappa" <[email-masked]>
Date: Mon, 15 Jul 2002 11:24:42 +0530

-----Original Message-----
From: Christer Holmberg [mailto:[email-masked]] 
Sent: Monday, July 01, 2002 8:15 PM
To: Mark Watson
Cc: Alexeitsev, D; [email-masked]; Chris Hogg
Subject: Re: [Sip] Local vs Remote ringback on 180

Hi Mark,

> I'm confused by this discussion, because there seems to be a desire to 
> extrapolate some semantics about the *media* from a message which does 
> not contain SDP. Apologies if I have missed the issue at hand, or if 
> the following is obvious, but...
>
> The unify model means that media and session state are completely 
> independent, so, to talk about '180 with SDP' or '180 without SDP' 
> makes no sense.

I agree, but those are the terms used by the drafts I've refered to. The ISUP/SIP mapping draft says that "180 with SDP" means that a remote ringback will be generated, and bis-09 says that "180 without SDP" MAY cause the UAC to generate a local ringback.

Of course, those statements may sometimes be valid, if we receive either a 180 without SDP, OR we receive 180 with SDP - and no early dialog still exists. My orignial question was what we do if we receive 180 without SDP, but we DO have an early dialog established. It has been argued that the UAC should not generate local ringback in that case - instead assume the UAS does it since there is an early dialog established (if the UAS wants the UAC to generate local ringback it would have to put the media on hold using UPDATE). IF that's the case, I think it should me more clarified. Clarification is the only thing I've asked for - no changes in the protocol.

> You can talk about the effect 180 has on the session state (indicates 
> that called party is being alerted), but this has nothing to do with 
> the media state (if there was media before, there still is, if there 
> was no media before, there still isn't).

I've said all the time that the session state is not affected, only that the 180 affects what the application does with the media.

So, what you just wrote means, that in the case we have an established early dialog it really doesn't matter, from a ringback point of view, if there is a SDP in the 180 or not. Is that the "official" clarification I've asked for? :)

> You can talk about the effect that SDP offer/answer exchanges have on 
> the media, but this operates independently of the SIP message those 
> SDP bodies arrive in.

True. That is why I also asked if the SDP is a good "ringback indicator" in the first place...

> So,
>
> 1) the UAC knows whether there is media or not (based on SDP 
> offer/answer exchanges so far)
> 2) if 180 has been received, the UAC knows that the called party is 
> alerting
>
> If the UAC knows that the called party is alerting AND knows that 
> there is media, it is a local matter what to do. Personally, I cannot 
> see an argument for doing anything other than playing the media (it 
> might contain 'ringing with call waiting announcement').

I think it was earlier said that the decission can't be based on if there is media or not. There may be RTP packets, but that doesn't mean they contain any "real" media.

> A PROBLEM arises if there is a UAS which negotiates media but then 
> sends silence (no packets) - there ARE some reasons why it might want 
> to do this to do with reducing clipping on answer. The result is that 
> silence would be all the caller would hear even though the UAC may 
> know that the called party is being alerted. I think we just have to 
> say that it is foolish for the UAS to negotiate media and then send 
> silence - it should put the media on hold if it has nothing to send.

Like I said earlier, that would probably not happend when the same server establishes the early dialog and sends the 180.  I earlier gave an example where a B2BUA sends the announcement ("you have now reached the X company"), the contacts a SIP phone which sends 180 (the SIP phone does NOT generate early media). Now, the B2BUA gets the 180, stop playing the announcement, and forwards the 180 to the UAC. Now, since there are no more announcements, and the SIP phone doesn't generate remote ringback, and the UAC doesn't generate local ringback, there is no ringback at all. In this case the B2BUA would have to send UPDATE (media on hold), then forward the 180 (the UAC will now generate local ringback), and when the SIP phone answers it would have to send another UPDATE (media un-hold) and then forward the 200.

An issue related to this I brought up earlier, is if the UAS will have to buffer the 200 until both UPDATE transactions have been completed. Any comments on that?

Also, in a non-PRACK environment, is a 18x "allowed" to establish an early dialog in the first place? Bis-09 says that the answer must be sent in a reliable response, which is 200 OK. Yes, bis-09 DOES say that the answer MAY also be sent earlier, unreliably in a 18x, but when is the early dialog actually "officially" established? Again, the UAC could make a ringback decission based on if there is a SDP in the 180 or not, but a unreliably sent 180 may not even arrive...

Regards,

Christer Holmberg
Ericsson Finland

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip Use [email-masked] for new developments on the application of sip

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip